MGlyphString Struct Reference
Collaboration diagram for MGlyphString:
[legend]

## Data Fields

M17NObject | head
MFrame * | frame
int | tick
int | size
int | inc
int | used
MGlyph * | glyphs
int | from
int | to
short | width
short | height
short | ascent
short | descent
short | physical_ascent
short | physical_descent
short | lbearing
short | rbearing
short | text_ascent
short | text_descent
short | line_ascent
short | line_descent
int | indent
int | width_limit
unsigned | anti_alias: 1
MDrawControl | control
struct MGlyphString * | next
struct MGlyphString * | top

## Field Documentation

## head

M17NObject MGlyphString::head

## frame

MFrame* MGlyphString::frame

## tick

int MGlyphString::tick

## size

int MGlyphString::size

## inc

int MGlyphString::inc

## used

int MGlyphString::used

## glyphs

MGlyph* MGlyphString::glyphs

## from

int MGlyphString::from

## to

int MGlyphString::to

## width

short MGlyphString::width

## height

short MGlyphString::height

## ascent

short MGlyphString::ascent

## descent

short MGlyphString::descent

## physical_ascent

short MGlyphString::physical_ascent

## physical_descent

short MGlyphString::physical_descent

## lbearing

short MGlyphString::lbearing

## rbearing

short MGlyphString::rbearing

## text_ascent

short MGlyphString::text_ascent

## text_descent

short MGlyphString::text_descent

## line_ascent

short MGlyphString::line_ascent

## line_descent

short MGlyphString::line_descent

## indent

int MGlyphString::indent

## width_limit

int MGlyphString::width_limit

## anti_alias

unsigned MGlyphString::anti_alias

## control

MDrawControl MGlyphString::control

## next

struct MGlyphString* MGlyphString::next

## top

struct MGlyphString * MGlyphString::top